from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^android_build/', include('android_build.foo.urls')),

    (r'^$', 'android_build.frontend.views.index'),
    (r'^index$', 'android_build.frontend.views.index'),
    (r'^builds/(~[a-z0-9][a-z0-9\+\.\-]+/[a-zA-Z0-9][-a-zA-Z0-9+.]+)/$', 'android_build.frontend.views.build_details'),

    (r'^new$', 'android_build.frontend.views.new'),
    (r'^api/build-now$', 'android_build.frontend.api.build_now'),
    (r'^api/delete$', 'android_build.frontend.api.delete'),
    (r'^api/edit$', 'android_build.frontend.api.edit'),
    (r'^api/is-daily$', 'android_build.frontend.api.is_daily'),
    (r'^api/new$', 'android_build.frontend.api.new'),
    (r'^api/set-daily$', 'android_build.frontend.api.set_daily'),

    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout$', 'django.contrib.auth.views.logout'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
)
